package de.oaa.xxx.games.bdsm.aufgaben;

import de.oaa.xxx.games.bdsm.Mitspieler;
import de.oaa.xxx.games.bdsm.Werkzeug;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.UUID;

@Getter
@Setter
public class Sperre {

    private UUID sperreId;
    private String kurzText;
    private String text;
    private String releaseText;
    private UUID gruppeId;
    private List<Werkzeug> sperreFuer;
    private Integer minutenVon;
    private Integer minutenBis;

    @Override
    public String toString() {
        return "Sperre[id=" + sperreId + ", kurzText=" + kurzText
                + ", minuten=" + minutenVon + "-" + minutenBis + ", fuer=" + sperreFuer + ", gruppeId=" + gruppeId + "]";
    }

    public boolean isAufgabePassend(Mitspieler passiv) {
        for (Werkzeug werkzeug : sperreFuer) {
            if (!passiv.isVerfuegbar(werkzeug)) {
                return false;
            }
        }
        return true;
    }
}
